Bug 841085 - [abrt] tigervnc-1.1.0-5.fc17: TXImage::setColourMapEntries: Process /usr/bin/vncviewer was killed by signal 11 (SIGSEGV)
[abrt] tigervnc-1.1.0-5.fc17: TXImage::setColourMapEntries: Process /usr/bin/...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
abrt_hash:fdc6323991ce6abe38b503d9e8f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 02:25 EDT by xu
Modified: 2013-04-30 19:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 14:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (8.51 KB, text/plain)
2012-07-18 02:25 EDT, xu
no flags Details
File: backtrace (77.29 KB, text/plain)
2012-07-18 02:25 EDT, xu
no flags Details
File: coredump (2.87 MB, text/plain)
2012-07-18 02:25 EDT, xu
no flags Details
File: maps (11.24 KB, text/plain)
2012-07-18 02:25 EDT, xu
no flags Details

  None (edit)
Description xu 2012-07-18 02:25:07 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        vncviewer 10.66.83.168
crash_function: TXImage::setColourMapEntries
executable:     /usr/bin/vncviewer
kernel:         3.4.2-4.fc17.x86_64
pid:            2540
pwd:            /home/xu/repo
time:           Wed 18 Jul 2012 02:18:06 PM CST
uid:            1000
username:       xu

backtrace:      Text file, 79147 bytes
event_log:      Text file, 8717 bytes
maps:           Text file, 11510 bytes

build_ids:
:09d9535853783d23633c221326a7945c3445892f
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:61b2ca953027132fb031db8ca43349f97402538b
:5dd234206476b0387cd251598aa72a2c95c763c5
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:e91010b497ec024178c36f4365b21f668bada0ca
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:cbb8a8e0998ebc35f3394e942b5bf90d19d90fc5
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:127f8958b602715234a02b88adb08afd9e34c203
:5f038f3fb1b1571769e7c9b79e025fe328052950
:516204cfc31148538d56b21e2f1b945ed50127d4
:73777e822e00ca152ffca281ab0ace0cb498ec48
:822e9b3523e8312240f41a25722d539bc77ed436
:4d09d82785dab5f95c01b69bc0785145a5954d30
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:54a5cc118d928470da13565de8592b664a9868e0
:13718b5000238cc2421cc0ad9d3ba8a6e6bf8a00
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:1d4df97fa6024b097b634a272447243c95c26d85
:130699b76d99d57ef46beeed9d693005f3c8917f
:247132297f287226a24c12e683292f5c94013066

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/xu/2

comment:
:boot a windows2008rc2 guest
:disable guest NIC
:enable it 

core_backtrace:
:09d9535853783d23633c221326a7945c3445892f 0x1d135 - [exe] -
:09d9535853783d23633c221326a7945c3445892f 0xb297 - [exe] -
:09d9535853783d23633c221326a7945c3445892f 0x41cc5 - [exe] -
:09d9535853783d23633c221326a7945c3445892f 0x20229 - [exe] -
:09d9535853783d23633c221326a7945c3445892f 0x9695 - [exe] -

dso_list:
:/usr/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-2.fc17.x86_64 (Fedora Project) 1340155799
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.13-1.fc17.x86_64 (Fedora Project) 1340155923
:/usr/lib64/libtasn1.so.3.1.15 libtasn1-2.12-1.fc17.x86_64 (Fedora Project) 1340155806
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1340177725
:/usr/bin/vncviewer tigervnc-1.1.0-5.fc17.x86_64 (Fedora Project) 1340594655
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1340155798
:/usr/lib64/libp11-kit.so.0.0.0 p11-kit-0.12-1.fc17.x86_64 (Fedora Project) 1340155805
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1340155796
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-2.fc17.x86_64 (Fedora Project) 1340155922
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340155794
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.7-1.fc17.x86_64 (Fedora Project) 1340155922
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.99.901-2.fc17.x86_64 (Fedora Project) 1340155921
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-1.fc17.x86_64 (Fedora Project) 1340177673
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340155794
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340155794
:/usr/lib64/libaudit.so.1.0.0 audit-libs-2.2.1-1.fc17.x86_64 (Fedora Project) 1340155798
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340155794
:/usr/lib64/libpam.so.0.83.1 pam-1.1.5-6.fc17.x86_64 (Fedora Project) 1340177672
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1340155798
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1340155805
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1340155922
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.2.0-1.fc17.x86_64 (Fedora Project) 1340155797
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1340155796
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1340155793
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1340155783
:/usr/lib64/libgnutls.so.26.22.0 gnutls-2.12.17-1.fc17.x86_64 (Fedora Project) 1340155806
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1340155794
:/usr/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-3.fc17.x86_64 (Fedora Project) 1340155799

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1290
:XDG_SESSION_ID=2
:HOSTNAME=xu-dev.nay.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/xu/.gnupg/S.gpg-agent:1313:1
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:WINDOWID=56623108
:GNOME_KEYRING_CONTROL=/run/user/xu/keyring-XMTilH
:IMSETTINGS_MODULE=IBus
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=xu
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-dMMLESHt1204/agent.1204
:USERNAME=xu
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1322,unix/unix:/tmp/.ICE-unix/1322
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/xu/.local/bin:/home/xu/bin
:MAIL=/var/spool/mail/xu
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=ibus
:PWD=/home/xu/repo
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1202
:LANG=en_US.UTF-8
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/xu
:XDG_SEAT=seat0
:SHLVL=3
:LOGNAME=xu
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jWi7U1yfi6,guid=645fd7e16de3464be00e08460000001e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/xu
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:CCACHE_HASHDIR=
:COLORTERM=Terminal
:XAUTHORITY=/var/run/gdm/auth-for-xu-M47sed/database
:_=/usr/bin/vncviewer
:OLDPWD=/home/xu

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62767                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62767                62767                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:pos:	0
:flags:	0100002
:1:/dev/pts/3
:pos:	0
:flags:	0100002
:2:/dev/pts/3
:pos:	0
:flags:	0100002
:3:socket:[999298]
:pos:	0
:flags:	02004002
:4:socket:[1006618]
:pos:	0
:flags:	02000002

var_log_messages:
:Jul 18 14:18:06 xu-dev kernel: [449280.765244] vncviewer[2540]: segfault at f86388 ip 000000000041d135 sp 00007ffffe109fe8 error 6 in vncviewer[400000+5d000]
:Jul 18 14:18:06 xu-dev abrt[2541]: Saved core dump of pid 2540 (/usr/bin/vncviewer) to /var/spool/abrt/ccpp-2012-07-18-14:18:06-2540 (3010560 bytes)
Comment 1 xu 2012-07-18 02:25:13 EDT
Created attachment 598790 [details]
File: event_log
Comment 2 xu 2012-07-18 02:25:26 EDT
Created attachment 598791 [details]
File: backtrace
Comment 3 xu 2012-07-18 02:25:51 EDT
Created attachment 598792 [details]
File: coredump
Comment 4 xu 2012-07-18 02:25:55 EDT
Created attachment 598793 [details]
File: maps
Comment 5 Adam Tkac 2013-03-12 14:46:12 EDT
Since vncviewer was completely rewritten in Fedora 18 and code which caused this crash is no longer part of the viewer, I'm closing this bug. Please upgrade to Fedora 18.

Note You need to log in before you can comment on or make changes to this bug.